<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;900&display=swap" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter&display=swap">
    <link rel="stylesheet" href="../admin views/css/announce.css">
    <link rel="stylesheet" href="../admin views/css/admin_responsive.css">
    <link rel="stylesheet" href="../admin views/css/admin_sidebar.css">
</head>
<body>
    <main class="main">
        <aside class="sidebar">
          <nav class="nav">
            <ul>
                <a href="/adminhome" class="logo img">
                    <img
                src="../admin views/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg"
              />
                </a>
              <li class="active"><a href="/adminhome"><span class="material-symbols-outlined" style="font-size: 1.7em; transform: translateY(0.5rem);">
                overview_key
                </span>
                T0urnament</a></li>
            </ul>
          </nav>
          <a href="/tournamentLogin"><button class="logout"><span class="material-symbols-outlined" style="transform: translateY(0.2rem);">
            logout
            </span>
            Logout</button></a>
        </aside>
        <section class="content">
            <div class="header">
                <h2>Tournaments</h2>
            </div>
            <div class="contents">
                <h3>Ongoing Tournaments</h3><hr class="line-1">
                <p class="block">Block Tournament</p>
            </div>
            <hr>
            <div class="inline-nav">
                <!-- <a href="/editoverview">Overview</a>
                <a href="/Admin_structure" >Structure</a>
                <a href="/Admin_Schedule">Schedule</a>
                <a href="/stream">Live Streams</a> 
                <a href="/announcement" class="overview">Announcements</a> -->
            </div>
            <hr>
            <div class="add">
                <div id="addNewBtn1" onclick="toggleEdit(1)" style="font-family: 'Inter', sans-serif;"><i class="fas fa-edit">Add New</i></div>
            </div>
            <div class="tournament-section-wrapper">

                <!-- <section class=" tournament-section">
                    <h2 contenteditable="false">Match Cancellation</h2>
                    <p contenteditable="false">We write to inform you of an adjustment to the upcoming fixture schedule. Regrettably, due to unforeseen circumstances, the match originally slated for [previous date/time] must now be rescheduled to [new date/time]. We understand the inconvenience this may pose and extend our sincerest apologies for any disruption caused. Our team has diligently worked to ensure that the new fixture timing accommodates all participants to the best of our ability. Please make a note of the updated fixture details: [Match Name] will now take place on [New Date/Time]. We kindly request all participating teams to adjust their schedules accordingly. Rest assured, we are committed to providing a fair and enjoyable tournament experience for all. Should you have any questions or concerns, please do not hesitate to reach out to us. Thank you for your understanding and cooperation.</p>
                </section>
                
                <section class="tournament-section">
                    <h2 contenteditable="false">Fixture Change</h2>
                    <p contenteditable="false">We write to inform you of an adjustment to the upcoming fixture schedule. Regrettably, due to unforeseen circumstances, the match originally slated for [previous date/time] must now be rescheduled to [new date/time]. We understand the inconvenience this may pose and extend our sincerest apologies for any disruption caused. Our team has diligently worked to ensure that the new fixture timing accommodates all participants to the best of our ability. Please make a note of the updated fixture details: [Match Name] will now take place on [New Date/Time]. We kindly request all participating teams to adjust their schedules accordingly. Rest assured, we are committed to providing a fair and enjoyable tournament experience for all. Should you have any questions or concerns, please do not hesitate to reach out to us. Thank you for your understanding and cooperation.</p>
                </section> -->
            </div>
            
            <div class="popup-overlay" onclick="closePopup()"></div>
            <section>
                <div class="input-fields popup">
                    <div class="card">
                        <div class="close-icon" onclick="closePopup()"><i class="fas fa-times"></i></div>
                        <div class="team-info">
                            <label for="titleInput">Title:</label><br><br>
                            <input type="text" id="title" placeholder="Enter Title">
                        </div>
                        <div class="team-info">
                            <label for="paraInput">Paragraph:</label><br><br>
                            <textarea id="para" placeholder="Enter Paragraph"></textarea>
                        </div>
                        <button id="saveBtn" onclick="saveData()">Save</button>
                    </div>
                </div>
            </section>
            
          
        </section>
    </main>
   
</body>
<script>
    function toggleEdit() {
        const popup = document.querySelector('.popup');
        const popupOverlay = document.querySelector('.popup-overlay');
        popup.classList.add('active');
        popupOverlay.classList.add('active');
    }

    function closePopup() {
        const popup = document.querySelector('.popup');
        const popupOverlay = document.querySelector('.popup-overlay');
        popup.classList.remove('active');
        popupOverlay.classList.remove('active');
    }

    function saveData() {
        const title = document.getElementById('title').value;
        const para = document.getElementById('para').value;

        // Assuming you have a section where you want to append this data
        const tournamentSectionWrapper = document.querySelector('.tournament-section-wrapper');
        
        const newSection = document.createElement('section');
        newSection.className = 'tournament-section';
        newSection.innerHTML = `<h2 contenteditable="false">${title}</h2><p contenteditable="false">${para}</p>`;

        tournamentSectionWrapper.appendChild(newSection);

        closePopup(); // Close the popup after saving data
    }
</script>
<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js" integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script> -->
<!-- <script type="module" src="../backend/announcement.js"></script> -->
</script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast/dist/css/iziToast.min.css">
<script src="https://cdn.jsdelivr.net/npm/izitoast/dist/js/iziToast.min.js"></script>
<script src="../admin views/js/izittoast.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js" integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script type = "module" src = "../admin views/js/announcement.js"></script>


</html>
